import request from '@/utils/request'

// 查询报考数据列表
export function listMallExamData(query) {
  return request({
    url: '/mall/mallExamData/list',
    method: 'get',
    params: query
  })
}

// 查询报考数据详细
export function getMallExamData(examDataId) {
  return request({
    url: '/mall/mallExamData/' + examDataId,
    method: 'get'
  })
}

// 新增报考数据
export function addMallExamData(data) {
  return request({
    url: '/mall/mallExamData',
    method: 'post',
    data: data
  })
}

// 修改报考数据
export function updateMallExamData(data) {
  return request({
    url: '/mall/mallExamData',
    method: 'put',
    data: data
  })
}

// 删除报考数据
export function delMallExamData(examDataId) {
  return request({
    url: '/mall/mallExamData/' + examDataId,
    method: 'delete'
  })
}
